Wave Spread...

Debian 更新忽略指定包不更新

分类:Linux 评论: 0

遇到一问题,自行编译打包的某软件包在仓库中也有同样版本,因此不需要更新,需要升级时指定忽略。

解决方法:给 libev 写保护,让 apt upgrade 不更新它。

查看当前的系统中所有软件包状态

sudo dpkg --get-selections | more

查找所需要忽略的完整包名

给指定包锁定当前版本不更新

sudo echo "package-name hold" | sudo dpkg --set-selections

查看当前己锁定的软件包:

sudo dpkg --get-selections | grep hold

直接执行更新即可

sudo apt update
sudo apt upgrade

更新就会忽略标记的包

回复